Oh no! Where's the JavaScript?
Your Web browser does not have JavaScript enabled or does not support JavaScript. Please enable JavaScript on your Web browser to properly view this Web site, or upgrade to a Web browser that does support JavaScript.
Sign In
Not a member yet? Click here to register.
M

installation of php-fusion 9 stable on local host

by marcolino, Last updated on 1 year ago in Installation Issues- 9
I use EasyPHP Devserver. Once created db and copied all the files on the local root directory, I do not know how to performe a local installation. The installation guidelines say :
"3. Go to your website where install should start automatically. If not, you should run the installer manually by entering your full site url followed by /install/index.php Example: http://www.yourdomain.com/install/index.php."

"Install" directory does not exist in PHP-Fusion 9.0 stable version, neither setup.php present in version 7.02
How can I do?
Thanks for any help
Install is located in the main directory... so try
http://www.yourdomain.com/install.php 
Into The Nebula! Is it Science or Science Fiction?
Thanks for the answer....
My site is not a public site yet . It is a local installation, so the root is: 127.0.0.1.
I have tried the following:
http://127.0.0.1/prova9/install.php where prova9 is the directory on which I copied all the files.
I received the following answer:
Notice: Undefined index: setup_0006 in C:\Program Files (x86)\EasyPHP-DevServer-14.1VC11\data\localweb\prova9\includes\classes\PHPFusion\Installer\Install.core.inc on line 199
of course the command is
http://127.0.0.1/prova9/install.php
for some reason cut and paste does not work....
127.0.0.1/prova9/install.php
marcolino, wish I knew more...only knew where install.php was...
Into The Nebula! Is it Science or Science Fiction?
in the main directory, together with maincore.php
First set permissions for localhost according to my pattern:

vv@vv-System:~$ sudo su
[sudo] password pro vv:
root@vv-System:/home/vv# chmod -R 777 /var/www/html/
Linux-Ubuntu, Windows7-WinXP SP3, PHP5, HTML5, Mozilla-Firefox 3.6.3, Opera 10.51, IE 8.0.6
https://www.phpfusion.cz
problem solved. My php version is 5.5.8 while the fusion 9.0 requires at least 5.5.9 (see install.core.inc line 199).
As a test I changed requirement frrom 5.5.9 to 5.5.8 and installation went on smootly.
Question: is version of PHP 5.5.9 really needed or 5.5.8 is enough?
I have anyway noted that the funtionality of version 9.0 is very very slow in comparison with version 7.2.
Any comment on that?
Thanks to everybody
Perhaps it is only installer, we do revisions all the time so sometimes we may get higher requirements on various functions.

Quote

I have anyway noted that the functionality of version 9.0 is very very slow in comparison with version 7.2.
Any comment on that?

Highly depending on content and environment. Our new Main site with 9 is actually faster than our current 7 site here. It is also base for the next release so it may differ some from current git and from the current downloadable release.
Need help?, Having trouble?
• View our Documentation for Guides, Standards and Functions
• Name and Organize your content correctly in the corresponding Forums for best support results
• Attaching Log Files and Screenshots when reporting issues will help
• Please read and comply with the Code of Conduct

(¯`·._.·(¯`°·._.·°º*[ Project Manager ]*º°·._.·°´¯)·._.·´¯)
Thank you Falk,
when a detailed functions documentation will be available ? I am particularly interested in forum functionalities.
Thanks for all.
As soon as I receive your answer I will close this thread.
You can view all discussion threads in this forum.
You can start a new discussion thread in this forum.
You cannot reply in this discussion thread.
You cannot start on a poll in this forum.
You cannot upload attachments in this forum.
You can download attachments in this forum.
Users who participated in discussion: Falk, Kvido, marcolino, daimonbok1